@charset "utf-8";
@import './lib/modern-normalize.css';
@import './acms/editor.css';
@import './components/header.css';
@import './components/footer.css';
@import './components/top.css';
@import './components/purpose-section.css';
@import './components/image-grid.css';
@import './components/related-links.css';
@import './components/aboutus-index.css';
@import './components/company-info.css';
@import './components/leadership.css';
@import './components/group.css';
@import './components/our-business.css';
@import './components/device-business.css';
@import './components/brands-products.css';
@import './components/news.css';

:root {
  --color-background: #eef3ff;
  --color-text: #333;
  --color-text-link: #282829;
  --color-text-hover: #00b7fc;
  --color-text-visited: #282829;
  --color-variable-main1: #183e93;
  --color-variable-main3: #eaedf4;
  --color-variable-main4: #2375f1;
  --color-variable-bg2: #f9fbff;
  --font-family: "Noto Sans JP", sans-serif;
  --font-weight-thin: 300;
  --font-weight-normal: 400;
  --font-weight-bold: 700;
  --font-size-xs: 11px;
  --font-size-sm: 16px;
  --font-size-md: 24px;
  --font-size-lg: 36px;
}

* {
  box-sizing: border-box;
}
html {
  font-size: 16px;
  line-height: 1.3;
}
body {
  background-color: var(--color-background);
  color: var(--color-text);
  font-family: var(--font-family);
  font-weight: var(--font-weight-normal);
  font-style: normal;
}

a {
  text-decoration: none;
  transition: color 200ms;
  &:link {
    color: var(--color-text-link);
  }
  &:visited {
    color: var(--color-text-visited);
  }
  &:hover {
    color: var(--color-text-hover);
  }
}
img {
  vertical-align: baseline;
}

/* 大見出し */
.c-heading__title {
  margin: 0;
  font-size: 64px;
  font-weight: var(--font-weight-thin);
  line-height: 1.4;
  letter-spacing: .03em;
  background: linear-gradient(to right, #00b7fc, #5d91e0 10%);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  color: transparent;
}
.c-heading__sub {
  margin: 0;
  font-weight: var(--font-weight-normal);
  line-height: 1.8;
  letter-spacing: .03em;
}
@media (max-width: 767px) {
  .c-heading__title {
    font-size: 36px;
  }
}

/* 記事一覧 Ａ レスポンシブ変化なし */
.c-summary-a {
  display: block;
  max-width: 358px;
  width: 100%;
  cursor: pointer;
}
.c-summary-a__img {
  position: relative;
  margin: 0;
  height: 150px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  overflow: hidden;
  img {
    width: 100%;
    height: auto;
    transition: 300ms;
  }
  &::after {
    content: url(/themes/hagiwara-ele/common/img/icon_arrow_white.png);
    position: absolute;
    top: 10px;
    right: 10px;
  }
}
.c-summary-a__date {
  margin: 0;
  padding: 20px 20px 10px;
  font-size: var(--font-size-xs);
  color: var(--color-variable-main4);
  letter-spacing: .2em;
}
.c-summary-a__title {
  margin: 0;
  padding: 10px 20px;
  font-size: var(--font-size-sm);
  line-height: 1.5;
}
.c-summary-a:hover {
  .c-summary-a__img img {
    transform: scale(110%);
  }
}
@media (max-width: 767px) {
  .c-summary-a {
    margin-bottom: 30px;
  }
  .c-summary-a__date {
    padding: 20px 0 10px;
  }
  .c-summary-a__title {
    padding: 10px 0;
  }
}

/* CARD */
.l-card-list {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  padding: 40px 0;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 26px;
}
.c-card {
  display: block;
  min-width: 0;
  width: 100%;
  padding: 24px;
  background-color: #fff;
  border: 1px solid #d4d2e3;
  border-radius: 24px;
  transition: 1s;
}
.c-card__img {
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  overflow: hidden;
  img {
    width: 100%;
    height: auto;
    transition: 300ms;
  }
}
.c-card__title {
  font-size: var(--font-size-md);
  line-height: 1.4;
}
.c-card__info {
  font-size: var(--font-size-sm);
  font-weight: var(--font-weight-normal);
  line-height: 1.8;
  div {
    display: flex;
  }
  dd {
    margin: 0;
  }
}
.c-card__category {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}
.c-card__more {
  margin-bottom: 0;
  font-weight: var(--font-weight-bold);
}
.c-card:hover {
  background-color: var(--color-background);
  .c-card__img {
    img {
      transform: scale(110%);
    }
  }
  .c-card__title {
    color: var(--color-text-link);
    text-decoration: underline;
  }
  .c-card__info, .c-card__more {
    color: var(--color-text-link);
  }
}
@media (max-width: 767px) {
  .c-card {
    width: 100%;
  }
  .l-card-list {
    grid-template-columns: 1fr;
  }
}

/* 記事大 */
.c-issue {
  position: relative;
  max-width: 1440px;
  margin: 0 auto;
  padding: 40px 0;
  &::after {
    content: "";
    display: block;
    clear: both;
  }
}
.c-issue__body {
  width: 790px;
  height: auto;
  padding: 40px 40px 40px 100px;
  background-color: #fff;
}
.c-issue__sub {
  margin: 0;
  font-size: var(--font-size-sm);
  font-weight: var(--font-weight-bold);
  color: #00388d;
  line-height: 1.8;
  letter-spacing: .08em;
}
.c-issue__title {
  font-size: var(--font-size-lg);
  letter-spacing: .08em;
}
.c-issue__text {
  margin: 0;
  font-size: var(--font-size-sm);
  font-weight: var(--font-weight-normal);
  line-height: 1.8;
}
.c-issue__btn {
  margin: 40px 0 0;
}
.c-issue__img {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  width: 700px;
  height: 560px;
  overflow: hidden;
  border-radius: 36px 0 0 36px;
  img {
    height: 100%;
    width: auto;
  }
}
.c-issue-right {
  .c-issue__body {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
  }
  .c-issue__img {
    float: right;
  }
}
.c-issue-left {
  .c-issue__body {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    padding: 40px 100px 40px 40px;
  }
  .c-issue__img {
    border-radius: 0 36px 36px 0;
  }
}
@media (max-width: 767px) {
  .c-issue__title {
    font-size: var(--font-size-md);
    line-height: 1.4;
    letter-spacing: .08em;
  }
  .c-issue-right {
    .c-issue__body {
      position: static;
      width: 100%;
      height: auto;
      padding: 20px;
      transform: none;
    }
    .c-issue__img {
      float: none;
      width: calc(100% - 40px);
      height: auto;
      margin: 0 auto;
      border-radius: 16px;
      img {
        width: 100%;
        height: auto;
      }
    }
  }
  .c-issue-left {
    .c-issue__body {
      position: static;
      width: 100%;
      height: auto;
      padding: 20px;
      transform: none;
    }
    .c-issue__img {
      float: none;
      width: calc(100% - 40px);
      height: auto;
      margin: 0 auto;
      border-radius: 16px;
      img {
        width: 100%;
        height: auto;
      }
    }
  }
  .c-issue__btn {
    margin-top: 20px;
  }
}


/* CONTENTS */
.l-contents__header {
  margin-left: 60px;
  padding: 100px 0 30px 100px;
  background-color: #fff;
  border-radius: 100px 0 0 0;
  p {
    margin: 0;
  }
}
.l-contents__title {
  margin: 0 0 30px;
  font-size: 64px;
  font-weight: 300;
  line-height: 1.4;
  letter-spacing: .03em;
  background: linear-gradient(to right, #00b7fc, #5d91e0 10%);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  color: transparent;
}
.l-contents__visual {
  display: block;
  height: 240px;
  margin: 0 0 0 60px;
  background-position: left center;
  background-repeat: no-repeat;
  background-size: cover;
}
.l-contents__nav {
  margin-left: 60px;
  padding: 10px 0 10px 100px;
  border-top: 1px solid #d5d5d5;
  border-bottom: 1px solid #d5d5d5;
  background-color: #fff;
  p {
    display: flex;
    align-items: center;
    line-height: 1;
    &::before {
      content: "";
      display: block;
      width: 10px;
      height: 10px;
      margin-right: 16px;
      border-left: 3px solid #2375f1;
      border-bottom: 3px solid #2375f1;
      transform: rotate(45deg);
    }
  }
}
.l-contents__body {
  margin-left: 60px;
  padding: 60px 0 100px;
  background-color: #fff;
  overflow-x: clip;
  border-bottom: 1px solid #d5d5d5;
}
.l-contents__inner {
  padding-left: 100px;
  max-width: 1300px;
}

@media (max-width: 767px) {
  .l-contents__visual {
    margin-left: 16px;
    height: 130px;
  }
  .l-contents__inner {
    padding-left: 0;
  }
  .l-contents__intro {
    flex-direction: column;
    padding: 0 16px 40px;
  }
  .l-contents__text, .l-contents__btns {
    width: 100%;
  }
  .l-contents__text h2 {
    font-size: 28px;
    line-height: 1.4;
    letter-spacing: .08em;
  }
}

/* ボタン */
.c-button {
  display: inline-flex;
  justify-content: space-between;
  align-items: center;
  padding: 16px 20px 16px 48px;
  background: linear-gradient(to right, #3887ff, #183e93);
  border-radius: 28px;
  line-height: 1;
  letter-spacing: .03em;
  color: #fff;
  cursor: pointer;
  &:link {
    color: #fff;
  }
  &:visited {
    color: #fff;
  }
  &::after {
    content: "";
    display: block;
    width: 24px;
    height: 24px;
    background: url(/themes/hagiwara-ele/common/img/icon_arrow_white.png) no-repeat 0 0;
    margin-left: 6px;
  }
  &:hover {
    background: linear-gradient(to right, #183e93, #1e2930);
  }
  &.c-button__block {
    width: 100%;
  }
  &.c-button__search {
    padding: 9px 24px;
    border: none;
    letter-spacing: .1em;
    white-space: nowrap;
    &::after {
      display: none;
    }
  }
}

/* カテゴリーラベル */
.c-label {
  display: inline-block;
  padding: 8px 16px;
  font-size: var(--font-size-xs);
  font-weight: var(--font-weight-bold);
  color: var(--color-variable-main3);
  letter-spacing: .03em;
  background-color: var(--color-variable-main1);
  border-radius: 8px;
}

a.c-label {
  color: var(--color-variable-main3);
  margin: 4px;
}

@media (max-width: 767px) {
  .l-contents__header {
    margin-left: 16px;
    padding: 24px 16px 36px 24px;
    border-radius: 40px 0 0 0;
  }
  .l-contents__title {
    margin-bottom: 8px;
    font-size: 36px;
  }
  .l-contents__nav {
    margin-left: 16px;
    padding: 16px;
  }
  .l-contents__body {
    margin-left: 16px;
    padding: 0;
  }
}
